.rule .move {
    display: inline-flex;
    min-width: 2.6rem;
    justify-content: flex-end;
}

.sequence {}

.sequence-or {
    margin: 0 4px;
}

.sequence-divider {
    margin: 0;
    padding: 0;
}

.sequence-item {
    padding: 0 8px;
}

.sequence-list {
    list-style: none;
    padding: 0;
}

.sequence-list > * {
    margin-bottom: 12px;
}

.sequence-list:last-child {
    margin-bottom: 0;
}

/* Tree built thanks to https://iamkate.com/code/tree-views/ */

.tree {
    --spacing: 1.5rem;
    --radius: 8px;

    margin: 0;
    padding: 0;
}

.tree li {
    display: block;
    position: relative;
    padding-left: calc(2 * var(--spacing) - var(--radius) - 2px);
}

.tree ul {
    margin-left: calc(var(--radius) - var(--spacing));
    padding-left: 0;
}

.tree ul li {
    border-left: 2px solid var(--tree-line);
}

.tree ul li:last-child {
    border-color: transparent;
}

.tree ul li::before {
    content: '';
    display: block;
    position: absolute;
    top: calc(var(--spacing) / -2);
    left: -2px;
    width: calc(var(--spacing) + 2px);
    height: calc(var(--spacing) + 1px);
    border: solid var(--tree-line);
    border-width: 0 0 2px 2px;
}

.tree summary {
    display: block;
    cursor: pointer;
}

.tree summary::marker,
.tree summary::-webkit-details-marker {
    display: none;
}

.tree summary:focus {
    outline: none;
}

.tree summary:focus-visible {
    outline: 1px dotted #000;
}

.tree summary::before {
    content: '';
    display: block;
    position: absolute;
    top: calc(var(--spacing) / 2 - var(--radius));
    left: calc(var(--spacing) - var(--radius) - 1px);

    width: 14px;
    height: 14px;
    line-height: 14px;
    font-size: 10px;
    background: var(--tree-line);
    text-align: center;
    vertical-align: middle;
}

.tree summary::before {
    z-index: 1;
    content: '＋'; /* Fullwidth Plus Sign */
}

.tree details[open] > summary::before {
    content: '－'; /* Fullwidth Hyphen-Minus */
}

.tree details:not(:has(ul)) > summary::before {
    content: none !important;
}
